MA_INITIALIZE_MEMHANDLE_ITERATOR(3)

NAME
MA_init_memhandle_iterator - initialize a scan of currently allocated blocks

C SYNOPSIS
#include "macdecls.h"
Boolean MA_init_memhandle_iterator(ithandle)
    Integer     *ithandle;      /* write-only */

FORTRAN SYNOPSIS
#include "mafdecls.fh"
logical function MA_init_memhandle_iterator(ithandle)
    integer     ithandle

DESCRIPTION
MA_init_memhandle_iterator() returns in ithandle the iterator handle for a scan of currently allocated blocks.

USAGE
The following FORTRAN code illustrates the use of MA_init_memhandle_iterator() by looping over all currently allocated blocks.
#include "mafdecls.fh"
    logical ok
    integer ihandle
    integer mhandle
    ok = MA_init_memhandle_iterator(ihandle)
    if (ok) then
        ok = MA_get_next_memhandle(ihandle, mhandle)
10      if (ok) then
            ... process mhandle
            ok = MA_get_next_memhandle(ihandle, mhandle)
            goto 10
        endif
    endif

RETURN VALUE
C: MA_TRUE upon success, MA_FALSE upon failure.
FORTRAN: .true. upon success, .false. upon failure.

NOTES
This routine is not yet implemented.

FILES
Include files: /msrc/proj/hpctools/ma/release/current/include
Library:       /msrc/proj/hpctools/ma/release/current/lib/platform/libma.a
Man pages:     /msrc/proj/hpctools/ma/release/current/man/man3
Source code:   /msrc/proj/hpctools/ma/release/current/tar/marelease.tar

SEE ALSO
MA(3), MA_get_next_memhandle(3)

AUTHOR
Gregory S. Thomas, Pacific Northwest National Laboratory